---
title: MediaStream.addTrack()
slug: Web/API/MediaStream/addTrack
tags:
  - API
  - Media Streams API
  - Method
  - NeedsExample
  - Reference
  - addTrack
---
<p>{{APIRef("Media Capture and Streams")}}</p>

<p>The <strong><code>MediaStream.addTrack()</code></strong> method adds a new track to the stream. The track is specified as a parameter of type {{domxref("MediaStreamTrack")}}.</p>

<div class="note">
<p>If the specified track is already in the stream's track set, this method has no effect.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>stream</em>.addTrack(<em>track</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>track</code></dt>
 <dd>A {{domxref("MediaStreamTrack")}} to add to the stream.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}</p>

<h2 id="Example">Example</h2>


<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture','#dom-mediastream-addtrack','addTrack()') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStream.addTrack")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaStream")}}, the interface it belongs to.</li>
</ul>
